Mail archive
alpine-aports

[alpine-aports] [PATCH] main/wayland: upgrade to 1.9.0

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Wed, 30 Sep 2015 18:03:40 +0200

---
 main/wayland/APKBUILD | 32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)
diff --git a/main/wayland/APKBUILD b/main/wayland/APKBUILD
index 174c241..52e8124 100644
--- a/main/wayland/APKBUILD
+++ b/main/wayland/APKBUILD
_at_@ -1,15 +1,17 @@
-# Maintainer:
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Contributor: Bartłomiej Piotrowski <bpiotrowski_at_alpinelinux.org>
-
+# Maintainer:
 pkgname=wayland
-pkgver=1.8.1
+pkgver=1.9.0
 pkgrel=0
-pkgdesc='A computer display server protocol'
+pkgdesc="A computer display server protocol"
+url="http://wayland.freedesktop.org"
 arch=all
-url='http://wayland.freedesktop.org'
-license='MIT'
-depends=
-makedepends='doxygen libffi-dev expat-dev xmlto graphviz grep'
+license="MIT"
+depends=""
+depends_dev="libffi-dev expat-dev"
+makedepends="$depends_dev doxygen xmlto graphviz grep"
+install=""
 subpackages="$pkgname-dev $pkgname-doc"
 source="http://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz"
 
_at_@ -21,16 +23,20 @@ build() {
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
-		--disable-static || return 1
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		--disable-static \
+		|| return 1
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
-	install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
 }
 
-md5sums="6e877877c3e04cfb865cfcd0733c9ab1  wayland-1.8.1.tar.xz"
-sha256sums="f17c938d1c24fd0a10f650a623a2775d329db3168b5732e498b08388ec776fc8  wayland-1.8.1.tar.xz"
-sha512sums="392edd22203fc44a37a66d7a099d0534f047f49e91b28614092346f0167c07a39431c5919f2ea1deaf460dc53a77fba8504a7a7f5d03af638267c767bb07ae19  wayland-1.8.1.tar.xz"
+md5sums="5e141b3f2a7005d6c89d6f233c87c317  wayland-1.9.0.tar.xz"
+sha256sums="9c8770720aa0034479735f58a4dc4ca9b172ecfede28f5134312e135b7301efa  wayland-1.9.0.tar.xz"
+sha512sums="245569f404474ab25e4f771d7652e77674363ac43233d49ecfeff0c52f02d34231064c17d56e61b6822259cb3956fc8c3789d788d9a84716f947915ad62fee6d  wayland-1.9.0.tar.xz"
-- 
2.6.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Sep 30 2015 - 18:03:40 GMT